Package ru.bitel.bgbilling.kernel.integration.common.bean

# Class Register

java.lang.Object
ru.bitel.bgbilling.kernel.integration.common.bean.Register

public class Register extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CHARGE_REGISTER`
  `static final int`
  `PAYMENT_REGISTER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Register()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate()`
  `int`
  `getErrorCount()`
  `int`
  `getId()`
  `String`
  `getLoadLog()`
  `Calendar`
  `getLoadTime()`
  `String`
  `getPatternTitle()`
  `Calendar`
  `getProcessTime()`
  `int`
  `getRegisterType()`
  `String`
  `getStatus()`
  `int`
  `getStringsCount()`
  `BigDecimal`
  `getSumm()`
  `String`
  `getTitle()`
  `boolean`
  `isProcessed()`
  `void`
  `setDate(Date date)`
  `void`
  `setErrorCount(int errorCount)`
  `void`
  `setId(int id)`
  `void`
  `setLoadLog(String loadLog)`
  `void`
  `setLoadTime(Calendar loadTime)`
  `void`
  `setPatternTitle(String patternTitle)`
  `void`
  `setProcessed(boolean processed)`
  `void`
  `setProcessTime(Calendar processTime)`
  `void`
  `setRegisterType(int registerType)`
  `void`
  `setStringsCount(int stringsCount)`
  `void`
  `setSumm(BigDecimal summ)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PAYMENT_REGISTER

    public static final int PAYMENT_REGISTER
    See Also:
      - Constant Field Values

  - ### CHARGE_REGISTER

    public static final int CHARGE_REGISTER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Register

    public Register()

- ## Method Details

  - ### getRegisterType

    public int getRegisterType()

  - ### setRegisterType

    public void setRegisterType(int registerType)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### isProcessed

    public boolean isProcessed()

  - ### setProcessed

    public void setProcessed(boolean processed)

  - ### getProcessTime

    public Calendar getProcessTime()

  - ### setProcessTime

    public void setProcessTime(Calendar processTime)

  - ### getLoadTime

    public Calendar getLoadTime()

  - ### setLoadTime

    public void setLoadTime(Calendar loadTime)

  - ### getStringsCount

    public int getStringsCount()

  - ### setStringsCount

    public void setStringsCount(int stringsCount)

  - ### getErrorCount

    public int getErrorCount()

  - ### setErrorCount

    public void setErrorCount(int errorCount)

  - ### getSumm

    public BigDecimal getSumm()

  - ### setSumm

    public void setSumm(BigDecimal summ)

  - ### getLoadLog

    public String getLoadLog()

  - ### setLoadLog

    public void setLoadLog(String loadLog)

  - ### getPatternTitle

    public String getPatternTitle()

  - ### setPatternTitle

    public void setPatternTitle(String patternTitle)

  - ### getStatus

    public String getStatus()